package com.chenyang.nse.bussiness.performance_monitor.entity;

import java.util.List;
import java.util.Map;

public class PerformanceDashBoardResVO {
   Map<String, PerformanceDashBoardLineChartVO> records;
   List<PerformanceDashBoardPieChart> appUser;
   List<PerformanceDashBoardPieChart> slowProcess;
   List<PerformanceDashBoardPieChart> slowSql;
   long avgTime = 0L;
   long maxTime = 0L;
   String startTime;
   String endTime;

   public Map<String, PerformanceDashBoardLineChartVO> getRecords() {
      return this.records;
   }

   public List<PerformanceDashBoardPieChart> getAppUser() {
      return this.appUser;
   }

   public List<PerformanceDashBoardPieChart> getSlowProcess() {
      return this.slowProcess;
   }

   public List<PerformanceDashBoardPieChart> getSlowSql() {
      return this.slowSql;
   }

   public long getAvgTime() {
      return this.avgTime;
   }

   public long getMaxTime() {
      return this.maxTime;
   }

   public String getStartTime() {
      return this.startTime;
   }

   public String getEndTime() {
      return this.endTime;
   }

   public void setRecords(final Map<String, PerformanceDashBoardLineChartVO> records) {
      this.records = records;
   }

   public void setAppUser(final List<PerformanceDashBoardPieChart> appUser) {
      this.appUser = appUser;
   }

   public void setSlowProcess(final List<PerformanceDashBoardPieChart> slowProcess) {
      this.slowProcess = slowProcess;
   }

   public void setSlowSql(final List<PerformanceDashBoardPieChart> slowSql) {
      this.slowSql = slowSql;
   }

   public void setAvgTime(final long avgTime) {
      this.avgTime = avgTime;
   }

   public void setMaxTime(final long maxTime) {
      this.maxTime = maxTime;
   }

   public void setStartTime(final String startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(final String endTime) {
      this.endTime = endTime;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof PerformanceDashBoardResVO)) {
         return false;
      } else {
         PerformanceDashBoardResVO other = (PerformanceDashBoardResVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$records = this.getRecords();
            Object other$records = other.getRecords();
            if (this$records == null) {
               if (other$records != null) {
                  return false;
               }
            } else if (!this$records.equals(other$records)) {
               return false;
            }

            Object this$appUser = this.getAppUser();
            Object other$appUser = other.getAppUser();
            if (this$appUser == null) {
               if (other$appUser != null) {
                  return false;
               }
            } else if (!this$appUser.equals(other$appUser)) {
               return false;
            }

            Object this$slowProcess = this.getSlowProcess();
            Object other$slowProcess = other.getSlowProcess();
            if (this$slowProcess == null) {
               if (other$slowProcess != null) {
                  return false;
               }
            } else if (!this$slowProcess.equals(other$slowProcess)) {
               return false;
            }

            Object this$slowSql = this.getSlowSql();
            Object other$slowSql = other.getSlowSql();
            if (this$slowSql == null) {
               if (other$slowSql != null) {
                  return false;
               }
            } else if (!this$slowSql.equals(other$slowSql)) {
               return false;
            }

            if (this.getAvgTime() != other.getAvgTime()) {
               return false;
            } else if (this.getMaxTime() != other.getMaxTime()) {
               return false;
            } else {
               Object this$startTime = this.getStartTime();
               Object other$startTime = other.getStartTime();
               if (this$startTime == null) {
                  if (other$startTime != null) {
                     return false;
                  }
               } else if (!this$startTime.equals(other$startTime)) {
                  return false;
               }

               Object this$endTime = this.getEndTime();
               Object other$endTime = other.getEndTime();
               if (this$endTime == null) {
                  if (other$endTime != null) {
                     return false;
                  }
               } else if (!this$endTime.equals(other$endTime)) {
                  return false;
               }

               return true;
            }
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof PerformanceDashBoardResVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $records = this.getRecords();
      result = result * 59 + ($records == null ? 43 : $records.hashCode());
      Object $appUser = this.getAppUser();
      result = result * 59 + ($appUser == null ? 43 : $appUser.hashCode());
      Object $slowProcess = this.getSlowProcess();
      result = result * 59 + ($slowProcess == null ? 43 : $slowProcess.hashCode());
      Object $slowSql = this.getSlowSql();
      result = result * 59 + ($slowSql == null ? 43 : $slowSql.hashCode());
      long $avgTime = this.getAvgTime();
      result = result * 59 + (int)($avgTime >>> 32 ^ $avgTime);
      long $maxTime = this.getMaxTime();
      result = result * 59 + (int)($maxTime >>> 32 ^ $maxTime);
      Object $startTime = this.getStartTime();
      result = result * 59 + ($startTime == null ? 43 : $startTime.hashCode());
      Object $endTime = this.getEndTime();
      result = result * 59 + ($endTime == null ? 43 : $endTime.hashCode());
      return result;
   }

   public String toString() {
      return "PerformanceDashBoardResVO(records=" + this.getRecords() + ", appUser=" + this.getAppUser() + ", slowProcess=" + this.getSlowProcess() + ", slowSql=" + this.getSlowSql() + ", avgTime=" + this.getAvgTime() + ", maxTime=" + this.getMaxTime() + ", startTime=" + this.getStartTime() + ", endTime=" + this.getEndTime() + ")";
   }
}
